Index: squid3/src/structs.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/structs.h,v
retrieving revision 1.66.2.6
retrieving revision 1.66.2.7
diff -u -r1.66.2.6 -r1.66.2.7
--- squid3/src/structs.h	19 Apr 2005 10:58:19 -0000	1.66.2.6
+++ squid3/src/structs.h	25 Apr 2005 13:43:40 -0000	1.66.2.7
@@ -1,6 +1,6 @@
 
 /*
- * $Id: structs.h,v 1.66.2.6 2005/04/19 10:58:19 rmartinez Exp $
+ * $Id: structs.h,v 1.66.2.7 2005/04/25 13:43:40 rmartinez Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -103,7 +103,7 @@
     long reqid;
     int outlen;
 
-    struct sockaddr_in from;
+    struct SOCKADDR_IN from;
 
     struct snmp_pdu *PDU;
     ACLChecklist *acl_checklist;
@@ -118,15 +118,7 @@
     acl_address *next;
     acl_list *aclList;
 
-<<<<<<< structs.h
-#if ENABLE_IPV6
-    struct inaddr_storage addr6;
-#else
-    struct in_addr addr;
-#endif
-=======
     struct IN_ADDR addr;
->>>>>>> 1.74
 };
 
 struct _acl_tos
@@ -164,11 +156,8 @@
 
 struct _sockaddr_in_list
 {
-#if ENABLE_IPV6
-    struct sockaddr_storage sockaddr;
-#else
-    struct sockaddr_in s;
-#endif
+
+    struct SOCKADDR_IN s;
     sockaddr_in_list *next;
 };
 
@@ -176,11 +165,7 @@
 {
     http_port_list *next;
 
-#if ENABLE_IPV6
-    struct sockaddr_storage sockaddr;
-#else
-    struct sockaddr_in s;
-#endif
+    struct SOCKADDR_IN s;
     char *protocol;            /* protocol name */
     char *name;                /* visible name */
     char *defaultsite;         /* default web site */
@@ -356,27 +341,11 @@
     struct
     {
 
-<<<<<<< structs.h
-#if ENABLE_IPV6
-        struct inaddr_storage router6;
-
-        struct inaddr_storage incoming6;
-
-        struct inaddr_storage outgoing6;
-#else
-        struct in_addr router;
-=======
         struct IN_ADDR router;
->>>>>>> 1.74
 
         struct IN_ADDR incoming;
 
-<<<<<<< structs.h
-        struct in_addr outgoing;
-#endif
-=======
         struct IN_ADDR outgoing;
->>>>>>> 1.74
         int version;
     }
 
@@ -484,24 +453,7 @@
     struct
     {
 
-<<<<<<< structs.h
-#if ENABLE_IPV6
-        struct inaddr_storage udp_incoming6;
-
-        struct inaddr_storage udp_outgoing6;
-#if SQUID_SNMP
-
-        struct inaddr_storage snmp_incoming6;
-
-        struct inaddr_storage snmp_outgoing6;
-#endif
-
-        struct inaddr_storage client_netmask6;
-#else
-        struct in_addr udp_incoming;
-=======
         struct IN_ADDR udp_incoming;
->>>>>>> 1.74
 
         struct IN_ADDR udp_outgoing;
 #if SQUID_SNMP
@@ -511,12 +463,7 @@
         struct IN_ADDR snmp_outgoing;
 #endif
 
-<<<<<<< structs.h
-        struct in_addr client_netmask;
-#endif
-=======
         struct IN_ADDR client_netmask;
->>>>>>> 1.74
     }
 
     Addrs;
@@ -735,18 +682,9 @@
     struct
     {
 
-<<<<<<< structs.h
-#if ENABLE_IPV6
-        struct sockaddr_storage sockaddr;
-        int ttl;
-#else
-        struct in_addr addr;
-=======
         struct IN_ADDR addr;
->>>>>>> 1.74
         int ttl;
         unsigned short port;
-#endif
         char *encode_key;
     }
 
@@ -1046,15 +984,7 @@
 struct _ipcache_addrs
 {
 
-<<<<<<< structs.h
-#if ENABLE_IPV6
-    struct inaddr_storage *in_addr6s;
-#else
-    struct in_addr *in_addrs;
-#endif
-=======
     struct IN_ADDR *in_addrs;
->>>>>>> 1.74
     unsigned char *bad_mask;
     unsigned char count;
     unsigned char cur;
@@ -1206,11 +1136,7 @@
     char *host;
     peer_t type;
 
-#if ENABLE_IPV6
-    struct sockaddr_storage in_addr6;
-#else
-    struct sockaddr_in in_addr;
-#endif
+    struct SOCKADDR_IN in_addr;
 
     struct
     {
@@ -1346,15 +1272,7 @@
 
     int tcp_up;			/* 0 if a connect() fails */
 
-<<<<<<< structs.h
-#if ENABLE_IPV6
-    struct inaddr_storage address6es[10];
-#else
-    struct in_addr addresses[10];
-#endif
-=======
     struct IN_ADDR addresses[10];
->>>>>>> 1.74
     int n_addresses;
     int rr_count;
     int rr_lastcount;
@@ -1434,15 +1352,7 @@
 struct _pingerEchoData
 {
 
-<<<<<<< structs.h
-#if ENABLE_IPV6
-    struct inaddr_storage to6;
-#else
-    struct in_addr to;
-#endif
-=======
     struct IN_ADDR to;
->>>>>>> 1.74
     unsigned char opcode;
     int psize;
     char payload[PINGER_PAYLOAD_SZ];
@@ -1451,15 +1361,7 @@
 struct _pingerReplyData
 {
 
-<<<<<<< structs.h
-#if ENABLE_IPV6
-    struct inaddr_storage from6;
-#else
-    struct in_addr from;
-#endif
-=======
     struct IN_ADDR from;
->>>>>>> 1.74
     unsigned char opcode;
     int rtt;
     int hops;
@@ -1693,15 +1595,7 @@
     char *dnsserver_msg;
     time_t ttl;
 
-<<<<<<< structs.h
-#if ENABLE_IPV6
-    struct inaddr_storage src_addr6;
-#else
-    struct in_addr src_addr;
-#endif
-=======
     struct IN_ADDR src_addr;
->>>>>>> 1.74
     char *redirect_url;
     ERCB *callback;
     void *callback_data;
@@ -1947,15 +1841,7 @@
 {
     hash_link hash;		/* must be first */
 
-<<<<<<< structs.h
-#if ENABLE_IPV6
-    struct inaddr_storage addr6;
-#else
-    struct in_addr addr;
-#endif
-=======
     struct IN_ADDR addr;
->>>>>>> 1.74
 
     struct
     {
Index: squid3/src/tools.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/tools.cc,v
retrieving revision 1.22.2.1
retrieving revision 1.22.2.2
diff -u -r1.22.2.1 -r1.22.2.2
--- squid3/src/tools.cc	19 Apr 2005 10:58:20 -0000	1.22.2.1
+++ squid3/src/tools.cc	25 Apr 2005 13:43:51 -0000	1.22.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: tools.cc,v 1.22.2.1 2005/04/19 10:58:20 rmartinez Exp $
+ * $Id: tools.cc,v 1.22.2.2 2005/04/25 13:43:51 rmartinez Exp $
  *
  * DEBUG: section 21    Misc Functions
  * AUTHOR: Harvest Derived
@@ -590,7 +590,7 @@
             /* use the official name from DNS lookup */
             xstrncpy(host, h->h_name, SQUIDHOSTNAMELEN);
             debug(50, 4) ("getMyHostname: resolved %s to '%s'\n",
-                          inet_ntoa(sa),
+                          INET_NTOA(sa),
                           host);
             present = 1;
 
@@ -600,7 +600,7 @@
         }
 
         debug(50, 1) ("WARNING: failed to resolve %s to a fully qualified hostname\n",
-                      inet_ntoa(sa));
+                      INET_NTOA(sa));
     }
 
     /*
Index: squid3/src/wccp.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/wccp.cc,v
retrieving revision 1.10.2.1
retrieving revision 1.10.2.2
diff -u -r1.10.2.1 -r1.10.2.2
--- squid3/src/wccp.cc	19 Apr 2005 10:58:20 -0000	1.10.2.1
+++ squid3/src/wccp.cc	25 Apr 2005 13:44:03 -0000	1.10.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: wccp.cc,v 1.10.2.1 2005/04/19 10:58:20 rmartinez Exp $
+ * $Id: wccp.cc,v 1.10.2.2 2005/04/25 13:44:03 rmartinez Exp $
  *
  * DEBUG: section 80    WCCP Support
  * AUTHOR: Glenn Chisholm
@@ -134,7 +134,7 @@
 {
     u_short port = WCCP_PORT;
 
-    struct sockaddr_in router, local;
+    struct SOCKADDR_IN router, local;
     socklen_t local_len, router_len;
     debug(80, 5) ("wccpConnectionOpen: Called\n");
 
@@ -190,8 +190,8 @@
 
     router_len = sizeof(router);
     memset(&router, '\0', router_len);
-    router.sin_family = AF_INET;
-    router.sin_port = htons(port);
+    FAMILY_FROM_SA(router) = AF_INET;
+    PORT_FROM_SA(router) = htons(port);
     router.sin_addr = Config.Wccp.router;
 
     if (connect(theOutWccpConnection, (struct sockaddr *) &router, router_len))
@@ -245,7 +245,7 @@
 wccpHandleUdp(int sock, void *not_used)
 {
 
-    struct sockaddr_in from;
+    struct SOCKADDR_IN from;
     socklen_t from_len;
     int len;
 
@@ -253,7 +253,7 @@
 
     commSetSelect(sock, COMM_SELECT_READ, wccpHandleUdp, NULL, 0);
 
-    from_len = sizeof(struct sockaddr_in);
+    from_len = sizeof(struct SOCKADDR_IN);
     memset(&from, '\0', from_len);
     memset(&wccp_i_see_you, '\0', sizeof(wccp_i_see_you));
 
@@ -266,7 +266,7 @@
                             &from_len);
     debug(80, 3) ("wccpHandleUdp: %d bytes WCCP pkt from %s: type=%u, version=%u, change=%u, id=%u, number=%u\n",
                   len,
-                  inet_ntoa(from.sin_addr),
+                  INET_NTOA(from.sin_addr),
                   (unsigned) ntohl(wccp_i_see_you.type),
                   (unsigned) ntohl(wccp_i_see_you.version),
                   (unsigned) ntohl(wccp_i_see_you.change),
@@ -287,7 +287,7 @@
 
     if (ntohl(wccp_i_see_you.number) > WCCP_ACTIVE_CACHES || ntohl(wccp_i_see_you.number) < 0) {
         debug(80, 1) ("Ignoring WCCP_I_SEE_YOU from %s with number of caches set to %d\n",
-                      inet_ntoa(from.sin_addr), (int) ntohl(wccp_i_see_you.number));
+                      INET_NTOA(from.sin_addr), (int) ntohl(wccp_i_see_you.number));
         return;
     }
 
